Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFConversionSDKPython3.PDF2WordSettingData Class Reference

Inherits FoxitPDFConversionSDKPython3._object.

## Public Member Functions
def | PDF2WordSettingData ()
| Constructor. More...
def | Set (enable_retain_page_layout, enable_generate_headers_and_footers, enable_generate_footnotes_and_endnotes, enable_generate_page_rendered_break, max_blank_paragraphs_per_page_bottom)
| Set value. More...

## Static Public Attributes
| enable_generate_footnotes_and_endnotes = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_footnotes_and_endnotes
| A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false. More...
| enable_generate_headers_and_footers = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_headers_and_footers
| A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true. More...
| enable_generate_page_rendered_break = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_page_rendered_break
| A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false. More...
| enable_retain_page_layout = _fpdfconversionsdk.PDF2WordSettingData_enable_retain_page_layout
| A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. More...
| max_blank_paragraphs_per_page_bottom = _fpdfconversionsdk.PDF2WordSettingData_max_blank_paragraphs_per_page_bottom
| Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Word format documents.

## Constructor & Destructor Documentation

## ◆ PDF2WordSettingData()

def FoxitPDFConversionSDKPython3.PDF2WordSettingData.PDF2WordSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

## Member Function Documentation

## ◆ Set()

def FoxitPDFConversionSDKPython3.PDF2WordSettingData.Set | ( |  | enable_retain_page_layout,
|  |  | enable_generate_headers_and_footers,
|  |  | enable_generate_footnotes_and_endnotes,
|  |  | enable_generate_page_rendered_break,
|  |  | max_blank_paragraphs_per_page_bottom
| ) |  |

Set value.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

Returns
  None.

## Member Data Documentation

## ◆ enable_generate_footnotes_and_endnotes

FoxitPDFConversionSDKPython3.PDF2WordSettingData.enable_generate_footnotes_and_endnotes = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_footnotes_and_endnotes
| static

A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false.

true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of word format documents.

## ◆ enable_generate_headers_and_footers

FoxitPDFConversionSDKPython3.PDF2WordSettingData.enable_generate_headers_and_footers = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_headers_and_footers
| static

A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true.

true means to convert the recognized headers and footers from PDF documents to headers and footers of word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of word format documents.

Note
  Currently, this parameter is recommended to be set to false in 32-bit environments.

## ◆ enable_generate_page_rendered_break

FoxitPDFConversionSDKPython3.PDF2WordSettingData.enable_generate_page_rendered_break = _fpdfconversionsdk.PDF2WordSettingData_enable_generate_page_rendered_break
| static

A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false.

If true, the "lastRenderedPageBreak" marker will be inserted into the Word document to denote the pagination position from the last PDF rendering. If false, the "lastRenderedPageBreak" marker will not be inserted. "lastRenderedPageBreak" is a marker that indicates the location of a page break that was inserted when the document was last saved or rendered in an application. It is particularly useful for applications that need to track where content was split across pages during the document's rendering process.

## ◆ enable_retain_page_layout

FoxitPDFConversionSDKPython3.PDF2WordSettingData.enable_retain_page_layout = _fpdfconversionsdk.PDF2WordSettingData_enable_retain_page_layout
| static

A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false.

true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.

## ◆ max_blank_paragraphs_per_page_bottom

FoxitPDFConversionSDKPython3.PDF2WordSettingData.max_blank_paragraphs_per_page_bottom = _fpdfconversionsdk.PDF2WordSettingData_max_blank_paragraphs_per_page_bottom
| static

Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

This parameter controls the allowed number of empty paragraphs at the end of every page in the generated Word document. By setting this limit, users can prevent excessive empty space at the bottom of pages, thereby ensuring that the final document maintains a tidy and professional appearance without unnecessary blank lines that could affect layout and readability. Negative number indicates no limit on the number of blank paragraphs allowed at the bottom of each page.